Name:           strawberry
Version:        0.1.1
Release:        1.suse
Summary:        A audio player and music collection organiser

Group:          Applications/Multimedia
License:        GPL-3.0+
URL:            http://www.strawbs.org/
Source0:        %{name}-0.1.1.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libprotoc9
BuildRequires:  glib2-devel
BuildRequires:  alsa-devel
BuildRequires:  protobuf-devel
BuildRequires:  glu-devel
BuildRequires:  taglib-devel
BuildRequires:  boost-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  libmtp-devel
BuildRequires:  libcdio-devel
BuildRequires:  libgpod-devel
BuildRequires:  libimobiledevice-devel
BuildRequires:  libplist-devel
BuildRequires:  liblastfm-qt5-devel
BuildRequires:  libchromaprint-devel
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5Gui-devel
BuildRequires:  libQt5Widgets-devel
BuildRequires:  libQt5Network-devel
BuildRequires:  libQt5Concurrent-devel
BuildRequires:  libQt5Sql-devel
BuildRequires:  libQt5Xml-devel
BuildRequires:  libQt5OpenGL-devel
BuildRequires:  libQt5Test-devel
BuildRequires:  libQt5WebKit5-devel
BuildRequires:  libQt5WebKitWidgets-devel
BuildRequires:  libqt5-qtx11extras-devel
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files

Requires:       glib-2.0
Requires:       gio-2.0
Requires:       protobuf
Requires:       cryptopp
Requires:       Qt5Core
Requires:       Qt5Gui
Requires:       Qt5Widgets
Requires:       Qt5Network
Requires:       Qt5Concurrent
Requires:       Qt5Sql
Requires:       Qt5Xml
Requires:       Qt5OpenGL
Requires:       Qt5Test
Requires:       Qt5X11Extras
Requires:       Qt5WebKit
Requires:       Qt5WebKitWidgets

# GStreamer codec dependencies
Requires:       gstreamer
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good

%ifarch x86_64
Requires:       gstreamer1.0(decoder-audio/x-vorbis)()(64bit)
Requires:       gstreamer1.0(decoder-audio/x-flac)()(64bit)
Requires:       gstreamer1.0(decoder-audio/x-speex)()(64bit)
Requires:       gstreamer1.0(decoder-audio/x-wav)()(64bit)
%else
Requires:       gstreamer1.0(decoder-audio/x-vorbis)
Requires:       gstreamer1.0(decoder-audio/x-flac)
Requires:       gstreamer1.0(decoder-audio/x-speex)
Requires:       gstreamer1.0(decoder-audio/x-wav)
%endif

%description
Strawberry is a audio player and music collection organiser.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  * Play and organize music
  * Edit tags on music files
  * Album cover art from Lastfm, Musicbrainz, Discogs and Amazon
  * Native desktop notifications
  * Playlists in multiple formats
  * Transfer music to iPod, iPhone, MTP or mass-storage USB player
  * Support for multiple backends

%prep
%setup -q -n %{name}-0.1.1

%build
%{cmake} .. -DUSE_INSTALL_PREFIX=OFF -DCMAKE_POSITION_INDEPENDENT_CODE=ON
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
cd build
make clean

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/strawberry
%{_bindir}/strawberry-tagreader
%{_datadir}/applications/strawberry.desktop
%{_datadir}/icons/hicolor/48x48/apps/strawberry.png
%{_datadir}/icons/hicolor/64x64/apps/strawberry.png
%{_datadir}/icons/hicolor/128x128/apps/strawberry.png
%{_datadir}/icons/hicolor/scalable/apps/strawberry.svg
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/man1/%{name}-tagreader.1%{?ext_man}

%changelog
* Sat Apr 07 2018 Jonas Kvinge <jonas@strawbs.net> - 0.1.1
- Version 0.1.1
